# Draw
TKXSDRAW
SWDRAW

# SWDRAW_ToVRML Class Reference

Writes a Shape to a File in VRML Format
.

`#include <SWDRAW_ToVRML.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | SWDRAW_ToVRML ()
Standard_EXPORT Standard_Real & | EmissiveColorRed ()
Standard_EXPORT Standard_Real & | EmissiveColorGreen ()
Standard_EXPORT Standard_Real & | EmissiveColorBlue ()
Standard_EXPORT Standard_Real & | DiffuseColorRed ()
Standard_EXPORT Standard_Real & | DiffuseColorGreen ()
Standard_EXPORT Standard_Real & | DiffuseColorBlue ()
Standard_EXPORT Standard_Real & | Transparency ()
Standard_EXPORT Standard_Real & | AmbientIntensity ()
Standard_EXPORT Standard_Real & | SpecularColorRed ()
Standard_EXPORT Standard_Real & | SpecularColorGreen ()
Standard_EXPORT Standard_Real & | SpecularColorBlue ()
Standard_EXPORT Standard_Real & | Shininess ()
Standard_EXPORT TCollection_AsciiString & | Texture ()
Standard_EXPORT Standard_Real & | CreaseAngle ()
Standard_EXPORT Standard_Real & | Deflection ()
Standard_EXPORT Standard_Boolean | Write (const TopoDS_Shape &shape, const Standard_CString filename) const
| conversion of a Shape into VRML format for 3d visualisation

## Private Attributes

Standard_Real | myEmissiveColorRed
Standard_Real | myEmissiveColorGreen
Standard_Real | myEmissiveColorBlue
Standard_Real | myDiffuseColorRed
Standard_Real | myDiffuseColorGreen
Standard_Real | myDiffuseColorBlue
Standard_Real | myTransparency
Standard_Real | myAmbientIntensity
Standard_Real | mySpecularColorRed
Standard_Real | mySpecularColorGreen
Standard_Real | mySpecularColorBlue
Standard_Real | myShininess
TCollection_AsciiString | myTexture
Standard_Real | myCreaseAngle
Standard_Real | myDeflection

## Constructor & Destructor Documentation

Standard_EXPORT SWDRAW_ToVRML::SWDRAW_ToVRML | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real& SWDRAW_ToVRML::AmbientIntensity | ( |  | ) |

Standard_EXPORT Standard_Real& SWDRAW_ToVRML::CreaseAngle | ( |  | ) |

Standard_EXPORT Standard_Real& SWDRAW_ToVRML::Deflection | ( |  | ) |

Standard_EXPORT Standard_Real& SWDRAW_ToVRML::DiffuseColorBlue | ( |  | ) |

Standard_EXPORT Standard_Real& SWDRAW_ToVRML::DiffuseColorGreen | ( |  | ) |

Standard_EXPORT Standard_Real& SWDRAW_ToVRML::DiffuseColorRed | ( |  | ) |

Standard_EXPORT Standard_Real& SWDRAW_ToVRML::EmissiveColorBlue | ( |  | ) |

Standard_EXPORT Standard_Real& SWDRAW_ToVRML::EmissiveColorGreen | ( |  | ) |

Standard_EXPORT Standard_Real& SWDRAW_ToVRML::EmissiveColorRed | ( |  | ) |

void SWDRAW_ToVRML::operator delete | ( | void * | anAddress | ) | `[inline]`

void* SWDRAW_ToVRML::operator new | ( | size_t | size | ) | `[inline]`

void* SWDRAW_ToVRML::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Real& SWDRAW_ToVRML::Shininess | ( |  | ) |

Standard_EXPORT Standard_Real& SWDRAW_ToVRML::SpecularColorBlue | ( |  | ) |

Standard_EXPORT Standard_Real& SWDRAW_ToVRML::SpecularColorGreen | ( |  | ) |

Standard_EXPORT Standard_Real& SWDRAW_ToVRML::SpecularColorRed | ( |  | ) |

Standard_EXPORT TCollection_AsciiString& SWDRAW_ToVRML::Texture | ( |  | ) |

Standard_EXPORT Standard_Real& SWDRAW_ToVRML::Transparency | ( |  | ) |

Standard_EXPORT Standard_Boolean SWDRAW_ToVRML::Write | ( | const TopoDS_Shape & | shape,
|  | const Standard_CString | filename
| ) | const

## Field Documentation

Standard_Real SWDRAW_ToVRML::myAmbientIntensity `[private]`

Standard_Real SWDRAW_ToVRML::myCreaseAngle `[private]`

Standard_Real SWDRAW_ToVRML::myDeflection `[private]`

Standard_Real SWDRAW_ToVRML::myDiffuseColorBlue `[private]`

Standard_Real SWDRAW_ToVRML::myDiffuseColorGreen `[private]`

Standard_Real SWDRAW_ToVRML::myDiffuseColorRed `[private]`

Standard_Real SWDRAW_ToVRML::myEmissiveColorBlue `[private]`

Standard_Real SWDRAW_ToVRML::myEmissiveColorGreen `[private]`

Standard_Real SWDRAW_ToVRML::myEmissiveColorRed `[private]`

Standard_Real SWDRAW_ToVRML::myShininess `[private]`

Standard_Real SWDRAW_ToVRML::mySpecularColorBlue `[private]`

Standard_Real SWDRAW_ToVRML::mySpecularColorGreen `[private]`

Standard_Real SWDRAW_ToVRML::mySpecularColorRed `[private]`

TCollection_AsciiString SWDRAW_ToVRML::myTexture `[private]`

Standard_Real SWDRAW_ToVRML::myTransparency `[private]`

The documentation for this class was generated from the following file:

- SWDRAW_ToVRML.hxx